org.apache.sling.hapi.client

## Interface Item

All Known Subinterfaces:
  Items

    public interface Item

An HTML item representation. This maps to an html element and contains all the child elements. The child semantic elements (properties, links, forms) and the Item's metadata (src, href, value) are accessible through the dedicated methods

### Method Summary

Methods
`boolean` `bool()` Returns he boolean value of the property
`Document` `follow()` Follow a hyperlink and get a new `Document` representation
`Items` `form()` Returns all the child forms
`Items` `form(String rel)` Returns the child forms that have the given relation
`String` `href()` Returns the href value of the property.
`Items` `link()` Returns all the child links
`Items` `link(String rel)` Returns the child links that have the given relation
`int` `number()`
`Items` `prop(String name)` Returns the property of the item having the given name.
`Set<String>` `props()` Return a List of all the properties of this item.
`String` `src()` Returns the src value of the property.
`Document` `submit(Iterable<org.apache.http.NameValuePair> data)` Submits this form item and returns a new `Document` representation
`String` `text()` Returns the text value of the property.

### Method Detail

#### prop

    Items prop(String name)
               throws ClientException

Returns the property of the item having the given name. The property is a child Item.

Throws:
  `ClientException`

#### props

    Set<String> props()
                      throws ClientException

Return a List of all the properties of this item. The returned Strings are names that can be used for `prop(String)`

Throws:
  `ClientException`

#### link

    Items link(String rel)
               throws ClientException

Returns the child links that have the given relation

Throws:
  `ClientException`

#### link

    Items link()
               throws ClientException

Returns all the child links

Throws:
  `ClientException`

#### form

    Items form(String rel)
               throws ClientException

Returns the child forms that have the given relation

Throws:
  `ClientException`

#### form

    Items form()
               throws ClientException

Returns all the child forms

Throws:
  `ClientException`

#### text

    String text()
                throws ClientException

Returns the text value of the property.

Throws:
  `ClientException`

#### bool

    boolean bool()
                 throws ClientException

Returns he boolean value of the property

Throws:
  `ClientException`

#### number

    int number()
               throws ClientException

Throws:
  `ClientException`

#### href

    String href()

Returns the href value of the property. This only makes sense for hyperlinks (<a> or <link>).

#### src

    String src()

Returns the src value of the property.

#### follow

    Document follow()
                    throws ClientException

Follow a hyperlink and get a new `Document` representation

Throws:
  `ClientException`

#### submit

    Document submit(Iterable<org.apache.http.NameValuePair> data)
                    throws ClientException

Submits this form item and returns a new `Document` representation

Throws:
  `ClientException`